Bug 443467 - Review Request: ale - Combines multiple inputs of the same scene
Review Request: ale - Combines multiple inputs of the same scene
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443468
  Show dependency treegraph
 
Reported: 2008-04-21 14:15 EDT by Douglas E. Warner
Modified: 2008-06-20 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.0.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 15:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2008-04-21 14:15:27 EDT
Spec URL: https://rpm.silfreed.net:8002/index.cgi/raw-file/cdccc785d310/ale/ale.spec
SRPM URL: http://www.silfreed.net/download/repo/packages/ale/ale-0.9.0-1.src.rpm
Description:
ALE is an image-processing program used for tasks such as image mosaicking,
super-resolution, deblurring, noise reduction, anti-aliasing, and scene
reconstruction. Its principle of operation is synthetic capture, combining
multiple inputs representing the same scene.
Comment 1 Nicolas Chauvet (kwizart) 2008-04-22 10:04:36 EDT
License: it is GPLv3+ (ui/input.cc fro example)
  fftw is GPLv2+ or later -> compatible
  ImageMagick-devel tagged as freeware ?!? -> don't knwo if license is
compatible... I may raise FE-Legal

Missing BR (optionnals but seems useful) : 
  ImageMagick-devel
  fftw-devel >= 3.0.0

There is also some configure options that would need some testing.(or advices
from upstream). I would add this:
--enable-wmx --with-imagemagick --with-fftw3 --with-hashmap=gnu

scripts are present in a subdirectory. I expect they could be installed in
/usr/bin but transform seems too generic name, but be valuable to rename as
ale-transform and to warn upstream (or warn first).

I only have tested F-8 x86_64 in mock - F-9 wasn't in good shape, so i will test
later...(don't know if new option introduced others gcc43 bug).

Comment 2 Nicolas Chauvet (kwizart) 2008-04-22 10:14:30 EDT
Ok found: http://fedoraproject.org/wiki/Licensing
ImageMagick is compatible with GPLv3+
Comment 3 Nicolas Chauvet (kwizart) 2008-04-22 12:48:08 EDT
I forgot to say that the string.h tweak that is done at the begining seems scary
to me... I wonder why this is needed. (I will check futher...)
Comment 4 Douglas E. Warner 2008-04-22 13:03:28 EDT
(In reply to comment #3)
> I forgot to say that the string.h tweak that is done at the begining seems 
scary
> to me... I wonder why this is needed. (I will check futher...)

Which string.h tweak?  The cstring patch for GCC 4.3?

BTW, I'm also working on an update that addresses your BRs in the comment #1; 
building in mock right now.
Comment 5 Douglas E. Warner 2008-04-22 13:58:54 EDT
Spec URL: 
https://rpm.silfreed.net:8002/index.cgi/file/3991dca98947/ale/ale.spec
SRPM URL: 
http://www.silfreed.net/download/repo/packages/ale/ale-0.9.0-2.src.rpm

%changelog
* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0-2
- adding additional configuration options (imagemagick, fftw3, wmx,
  gnu hashmap) and build requires to satisfy them
- installing scripts
Comment 6 Nicolas Chauvet (kwizart) 2008-05-05 10:15:01 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > I forgot to say that the string.h tweak that is done at the begining seems 
> scary
> > to me... I wonder why this is needed. (I will check futher...)
> 
> Which string.h tweak?  The cstring patch for GCC 4.3?
see the build.log between
rm -f string.h-t string.h
and
mv string.h-t string.h
It makes use of a custom string.h - I wonder why ? (can you ask upstream?)
see http://koji.fedoraproject.org/koji/taskinfo?taskID=595945
At least it build with all our platforms.

/usr/bin/ale seems to need exiftool and dcraw, so it would be fine to have:
Requires: perl-Image-ExifTool
Requires: dcraw

I also forgot to say that ale 0.9.0 is supposed to be the unstable branch,
whereas 8.11 is the known stable. I'm still in runtime testing... maybe we can
have 0.9.0 anyway.

I don't know how work the --device (undocumented) option, maybe that what we can
expect as improvement with 9.0 version (don't have such device also).
From the sources code, the device folder doesn't seems to have the headers
compiled...
Anyway, that would be optionnal for the review.

To sum up:
* Ask upstream about it's custom string.h 
* Add:
Requires: perl-Image-ExifTool
Requires: dcraw

Comment 7 Douglas E. Warner 2008-05-09 13:09:39 EDT
Spec 
URL:https://rpm.silfreed.net:8002/index.cgi/file/a4ab611d128d/ale/ale.spec
SRPM URL: 
http://www.silfreed.net/download/repo/packages/ale/ale-0.9.0-3.src.rpm

%changelog
* Fri May 09 2008 Douglas E. Warner <silfreed@silfreed.net> 0.9.0-3
- adding Requires perl-Image-ExifTool, dcraw

I've emailed the list asking about the string.h thing, that does seem a bit 
odd.  It's not showing up on the archives yet so I must be moderated.
Comment 8 Nicolas Chauvet (kwizart) 2008-05-14 07:47:22 EDT
any news from the string.h thing ?
Comment 9 Douglas E. Warner 2008-05-14 09:47:20 EDT
No news; it doesn't seem that my messages was posted to the list.  I'm going 
to try re-subscribing to the list and resending.
Comment 10 Douglas E. Warner 2008-05-15 09:41:37 EDT
Got the list thing worked out; ale uses gnulib to help compile on other 
platforms.  Upstream said an option could be added to ignore the lib 
directory, but currently one doesn't exist.
Comment 11 Nicolas Chauvet (kwizart) 2008-05-18 06:40:03 EDT
OK - don't know much about gnulib for now - but I saw the same in various
already approved packages (libvirt, etc). So OK

------------------

This package (ale) is APPROVED by me

------------------
Comment 12 Nicolas Chauvet (kwizart) 2008-05-28 10:51:10 EDT
ping ?
Comment 13 Douglas E. Warner 2008-06-01 14:25:24 EDT
New Package CVS Request
=======================
Package Name: ale
Short Description: Combines multiple inputs of the same scene
Owners: silfreed
Branches: F-8, F-9
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-06-01 23:30:33 EDT
cvs done.
Comment 15 Nicolas Chauvet (kwizart) 2008-06-12 20:34:59 EDT
This package (ale) with hasn't been imported into the cvs yet...
Comment 16 Douglas E. Warner 2008-06-15 16:07:26 EDT
slow packager; just got back from Vacation, will try to get to it this week.
Comment 17 Fedora Update System 2008-06-18 14:46:25 EDT
ale-0.9.0.1-1.fc8 has been submitted as an update for Fedora 8
Comment 18 Fedora Update System 2008-06-18 14:50:34 EDT
ale-0.9.0.1-1.fc9 has been submitted as an update for Fedora 9
Comment 19 Fedora Update System 2008-06-20 15:07:51 EDT
ale-0.9.0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-06-20 15:14:54 EDT
ale-0.9.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.